import {ApolloClient, createHttpLink, InMemoryCache} from "@apollo/client";
import {setContext} from "@apollo/client/link/context";


const httpLink = createHttpLink({
  uri: 'http://localhost:5433/graphql',
});

const authLink = setContext((_, { headers }) => {
  const token = localStorage.getItem('token');
  return token ? {
    headers: {
      ...headers,
      authorization: `Bearer ${token}`,
    }
  } : headers
});

export const client = new ApolloClient({
  cache: new InMemoryCache(),
  link: authLink.concat(httpLink),
});
