import {MockedResponse} from "@apollo/client/testing";
import {LOGIN, LoginResponse} from "./login";

export const loginMock: Array<MockedResponse<LoginResponse>> = [
  {
    request: {
      query: LOGIN,
      variables: {
        email: "test@email.com",
        password: "password",
      }
    },
    result: {
      data: {
        authenticate: {
          jwtToken: "123"
        }
      }
    },
  },
  {
    request: {
      query: LOGIN,
      variables: {
        email: "test@email.com",
        password: "wrong-password",
      }
    },
    result: {
      data: {
        authenticate: {
          jwtToken: undefined
        }
      }
    },
  }
]
