import {MockedResponse} from "@apollo/client/testing";
import {EDIT_QUESTION, EditQuestionResponse, EditQuestionVariables} from "./question";
import {BasicQuestionResponse} from "../queries/question";


const editQuestionVariables: EditQuestionVariables = {
  id: 'q1',
  title: 'New title for Question 1?',
  description: 'Further information for Q1',
  categoryRowId: 1,
};

const editedQuestionMock: BasicQuestionResponse = {
  id: editQuestionVariables.id,
  title: editQuestionVariables.title as string,
  description: editQuestionVariables.description as string,
  categoryByCategoryRowId: {
    id: "c1",
    rowId: editQuestionVariables.categoryRowId as number,
    title: "Category 1",
    __typename: "Category"
  },
  __typename: "Question"
}

export const editQuestionMock: Array<MockedResponse<EditQuestionResponse>> = [
  {
    request: {
      query: EDIT_QUESTION,
      variables: editQuestionVariables,
    },
    result: {
      data: {
        updateQuestion: {
          question: editedQuestionMock,
          __typename: "UpdateQuestionPayload",
        }
      }
    },
  },
]

