import {gql} from "@apollo/client";

export const SIGN_UP = gql`
    mutation CreateAccount($firstName: String!, $lastName: String!, $email: String!, $password: String!) {
        registerPerson(input: {firstName: $firstName, lastName: $lastName, email: $email, password: $password}) {
            person {
                id
            }
        }
    }
`

export interface SignUpVariables {
    firstName: string,
    lastName: string,
    email: string,
    password: string,
}

export interface SignUpResponse {
    registerPerson: {
        person: {
            id: string
        }
    }
}
