import DialogActions from "@material-ui/core/DialogActions";
import Button from "@material-ui/core/Button";
import React from "react";
import ButtonWithSpinner from "./ButtonWithSpinner";

interface DialogActionBarProps {
    confirmButtonText?: string,
    loading: boolean,

    onCancelButtonClick?(): void,

    onConfirmButtonClick?(): void,
}

export function DialogActionBar(props: DialogActionBarProps) {
    return <DialogActions>
        <Button onClick={props.onCancelButtonClick} color="primary">
            Abbrechen
        </Button>
        <ButtonWithSpinner loading={props.loading} onClick={props.onConfirmButtonClick} >
            {props.confirmButtonText ? props.confirmButtonText : "Ok"}
        </ButtonWithSpinner>
    </DialogActions>;
}
