import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import App from './App';
import * as serviceWorker from './serviceWorker';
import {ApolloProvider} from "@apollo/client";
import {client} from "./backend/helper";
import {BrowserRouter as Router} from "react-router-dom";
import {SnackbarProvider} from "notistack";

ReactDOM.render(
  <ApolloProvider client={client}>
    <Router>
      <SnackbarProvider maxSnack={3}>
        <App/>
      </SnackbarProvider>
    </Router>
  </ApolloProvider>,
  document.getElementById('root')
);

// If you want your app to work offline and load faster, you can change
// unregister() to register() below. Note this comes with some pitfalls.
// Learn more about service workers: https://bit.ly/CRA-PWA
serviceWorker.unregister();
