import React from 'react';
import {render} from '@testing-library/react'
import DeleteIcon from '@material-ui/icons/Delete';
import EditIcon from '@material-ui/icons/Edit';


const memoizedGetIconPath = (icon: JSX.Element) => {
  let cache: { path?: string } = {};
  return (): string => {
    if (cache?.path) {
      return cache.path
    } else {
      const {container} = render(icon)
      const path = container.innerHTML.match(/<path d="(.*)">/)?.[1]
      if (!path) {
        throw `Could not get path of MUI ${icon.type.displayName}`
      }
      cache.path = path
      return path
    }
  }
}

export const getDeleteIconPath = memoizedGetIconPath(<DeleteIcon/>)
export const getEditIconPath = memoizedGetIconPath(<EditIcon/>)

